### Function

# Pango trim_string

#### Declaration [src]

    char*
    pango_trim_string (
      const char* str
    )

#### Description [src]

Trims leading and trailing whitespace from a string.

#### Parameters

`str` | `const char*`
| A string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `char*`
| A newly-allocated string that must be freed with `g_free()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.